import org.apache.log4j.Logger;
import org.apache.log4j.BasicConfigurator;

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.PrintWriter;

public class LoggerNotConfig extends HttpServlet {

 private Logger log = null;
 
 public void init(){
  //pouijeme root logger
  log = Logger.getRootLogger();
  //logovanie pjde na konzolu
  BasicConfigurator.configure();
 }

 public void doGet(HttpServletRequest request,HttpServletResponse response) 
							           throws ServletException, java.io.IOException { 

  //rove DEBUG
  log.debug("Posielam DEBUG message ...");

  //rove INFO
  log.info("Posielam INFO message ...");
  
  //zobrazme aj nejak HTML
  response.setContentType("text/html");
  PrintWriter out = response.getWriter();
  out.println("<html><head></head><body>");
  out.println("<h2>Logger without config file!</h2>");
  out.println("Logger name is: " + log.getName()+"<br>"); 
  out.println("</body></html>"); 
 }

 public void doPost(HttpServletRequest request,HttpServletResponse response) 
										throws ServletException, java.io.IOException { 
  doGet(request,response);
 }
}