import org.apache.log4j.Logger;

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.PrintWriter;

public class LoggerWithConfig extends HttpServlet {

 private Logger log = null;

 public void init(){
  /* root logger zska potrebn informcie z
  WEB-INF/classes/log4j.properties */
  log = Logger.getRootLogger();
  log.info("LoggerWithConfig started ...");
 }

 public void doGet(HttpServletRequest request,HttpServletResponse response)
								           throws ServletException, java.io.IOException {

  log.debug("Posielam DEBUG message ...");
  log.info("Posielam INFO message ...");

  response.setContentType("text/html");
  PrintWriter out = response.getWriter();
  out.println("<html><head></head><body>");
  out.println("<h2>Logger with config file!</h2>");
  out.println("Logger name is: " + log.getName()+"<br>"); 
  out.println("</body></html>"); 
 } 
}